# class RSS::Maker::RSS09::Image

### Public Instance Methods

to_feed(rss) click to toggle source

    # File lib/rss/maker/0.9.rb, line 225
    def to_feed(rss)
      image = Rss::Channel::Image.new
      set = setup_values(image)
      if set
        image.link = link
        rss.channel.image = image
        set_parent(image, rss.channel)
        setup_other_elements(rss, image)
      elsif required_element?
        raise NotSetError.new("maker.image", not_set_required_variables)
      end
    end

### Private Instance Methods

required_element?() click to toggle source

    # File lib/rss/maker/0.9.rb, line 243
    def required_element?
      true
    end

required_variable_names() click to toggle source

    # File lib/rss/maker/0.9.rb, line 239
    def required_variable_names
      %w(url title link)
    end